package cz.fidentis.analyst.feature.services;

import cz.fidentis.analyst.feature.FeaturePointType;
import cz.fidentis.analyst.feature.services.FeaturePointTypesService;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.util.List;
import java.util.Map;
import java.util.Optional;

import static org.junit.jupiter.api.Assertions.*;

class FeaturePointTypeTypesServiceTest {

    @DisplayName("Test loading a CSV file")
    @Test
    void readResourcesTest() {

        FeaturePointTypesService service = new FeaturePointTypesService();
        Optional<Map<Integer, FeaturePointType>> featurePointTypes = service.readResources();
        assertTrue(featurePointTypes.isPresent());
        assertTrue(featurePointTypes.get().size() > 0);
        assertTrue(featurePointTypes.get().get(1).getType() == 1
                && featurePointTypes.get().get(1).getName().equals("Exocanthion R")
                && featurePointTypes.get().get(1).getCode().equals("EX_R"));
    }

}